
Figure - Bug #118756
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开小窗应用，进入任务管理器，出现两个小窗（小窗+小窗卡片）
2023-06-13 17:35 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-13

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: �FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104(X104)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 在某次设置freeform task不可见之后,EnsureActivitiesVisibleHelper#setActivityVisibilityState,没有被触发,导致小窗没有隐藏

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开小窗应用

2、进入任务管理器

【预期结果】

2、打开小窗应用，退出任务管理器

【实际结果】

2、打开小窗应用，未退出任务管理器

History

#1 - 2023-06-13 17:37 - CDTS_Test 吴诗雨

- File 1736.txt added

#2 - 2023-06-16 11:36 - CDTS_Test 吴诗雨

- File deleted (20230613-161841.mp4)

#3 - 2023-07-10 09:55 - CDTS_Test 吴诗雨

0706DB跑测长时间MTBF任务管理器小窗打开，出现两个小窗的情况

#4 - 2023-07-13 15:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213205 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: check freeform task visibleTC-RID: 1201-0204601IssueID: TS-R-BUG-118756,IOVDEV-31775Change-Id:
I84db0889c5edf39ff62184ba4c798f51b39bc063

#5 - 2023-07-13 16:00 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 在某次设置freeform task不可见之后,EnsureActivitiesVisibleHelper#setActivityVisibilityState,没有被触发,导致小窗没有隐藏

■ Current conclusion

问题已经解决

■ My analysis

在某次设置freeform task不可见之后,EnsureActivitiesVisibleHelper#setActivityVisibilityState,没有被触发,导致小窗没有隐藏

设置延迟检查,主动触发setActivityVisibilityState来隐藏小窗

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/213205

#6 - 2023-07-13 21:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214752 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: check freeform task visibleTC-RID: 1201-0204601IssueID: TS-R-BUG-118756,IOVDEV-31775Change-Id:

I84db0889c5edf39ff62184ba4c798f51b39bc063(cherry picked from commit f166df45f5567a0b49d0d3055bd8ac83aa63ef6e)

#7 - 2023-07-14 16:37 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

122release验证通过

#8 - 2023-07-14 16:37 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#9 - 2023-07-27 19:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214722 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/213205


AF:MultiWindow: check freeform task visibleThis reverts commit f166df45f5567a0b49d0d3055bd8ac83aa63ef6e.TC-RID: 1201-0204601IssueID:

TS-R-BUG-118756,IOVDEV-31775Change-Id: I2be31643118caac2ce416bcda4a7da159f4a0485

#10 - 2023-08-01 22:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

219402 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: check freeform task visibleThis reverts commit f166df45f5567a0b49d0d3055bd8ac83aa63ef6e.TC-RID: 1201-0204601IssueID:

TS-R-BUG-118756,IOVDEV-31775Change-Id: I2be31643118caac2ce416bcda4a7da159f4a0485(cherry picked from commit

fe7f44d5c5d4cbf2c22e89788a7a588cba481a9d)

Files

1736.txt 6.65 MB 2023-06-13 CDTS_Test 吴诗雨
